Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class SchemaModelLoader.SubstitutionGroupAffiliationHandler

    java.lang.Object
      com.saxonica.schema.SchemaModelLoader.SubstitutionGroupAffiliationHandler

Enclosing class:
  SchemaModelLoader

    public class SchemaModelLoader.SubstitutionGroupAffiliationHandler

extends java.lang.Object

Handle a substitution group affiliation

Constructor Summary
`SchemaModelLoader.SubstitutionGroupAffiliationHandler(ElementDecl decl)` Create an IdentityConstraintHandler for a given element declaration

Method Summary
`com.saxonica.schema.SchemaModelLoader.SCMNodeHandler` | `handleChildElement(java.lang.String localName)` Handle a child element of the element currently being processed.
`void` | `processElementEnd()` Process the element end tag
`void` | `processElementStart(java.lang.String localName, AttributeCollection attributes)` Process an element start tag together with its attributes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaModelLoader.SubstitutionGroupAffiliationHandler

    public SchemaModelLoader.SubstitutionGroupAffiliationHandler(ElementDecl decl)

  Create an IdentityConstraintHandler for a given element declaration

  Parameters:
    `decl` - the element declaration

Method Detail

### handleChildElement

    public com.saxonica.schema.SchemaModelLoader.SCMNodeHandler handleChildElement(java.lang.String localName)
                                                                            throws SchemaException

  Handle a child element of the element currently being processed.

  Parameters:
    `localName` - the local name of the child element
  Returns:
    an SCMNodeHandler which will be used to process the child element
  Throws:
    `SchemaException` - if the data is invalid

### processElementStart

    public void processElementStart(java.lang.String localName,
                                    AttributeCollection attributes)
                             throws SchemaException

  Process an element start tag together with its attributes

  Parameters:
    `localName` - the name of the element to be processed
    `attributes` - the attributes of the element being processed
  Throws:
    `SchemaException` - if the data is invalid

### processElementEnd

    public void processElementEnd()

  Process the element end tag

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.